Bug 1433575 - mdadm no longer lets you create devices called "boot" or "root"
Summary: mdadm no longer lets you create devices called "boot" or "root"
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mdadm
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: XiaoNi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: TRACKER-bugs-affecting-libguestfs
TreeView+ depends on / blocked
 
Reported: 2017-03-18 10:11 UTC by Richard W.M. Jones
Modified: 2018-11-30 17:45 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 17:45:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard W.M. Jones 2017-03-18 10:11:08 UTC
Description of problem:

# mdadm --create --run boot --level raid1 --raid-devices 2 /dev/sda1 /dev/sdb1
mdadm: device boot exists but is not an md array.

No device called "boot" exists as far as I'm aware.

Similarly "root" can't be created and fails with the same error.
Using another name (eg. "bootdev" and "rootdev") is fine.

This worked fine mdadm 3.4, but seems to have been broken starting
in mdadm 4.0.

Version-Release number of selected component (if applicable):

Failing in: mdadm-4.0-1.fc26.x86_64
Working in: mdadm-3.4-2.fc25.x86_64

How reproducible:

100%

Steps to Reproduce:

$ virt-rescue --scratch=2
><rescue> mdadm --create --run boot --level raid1 --raid-devices 2 /dev/sda /dev/sdb
mdadm: device boot exists but is not an md array.
><rescue> ls -l /dev/md
ls: cannot access '/dev/md': No such file or directory

With mdadm 3.4, the command works:

$ virt-rescue --scratch=2
><rescue> mdadm --create --run boot --level raid1 --raid-devices 2 /dev/sda /dev/sdb
mdadm: Note: this array has metadata at the start and
    may not be suitable as a boot device.  If you plan to
    store '/boot' on this device please ensure that
    your boot-loader understands md/v1.x metadata, or use
    --metadata=0.90
mdadm: Defaulting to version 1.2 metadata
mdadm: array /dev/md/boot started.

Comment 1 XiaoNi 2017-03-20 10:16:25 UTC
Hi Richard

Now the mdadm 4.0 package has building error in fedora rawhide. I already sent the patch to upstream to fix this. Now upstream hasn't merged those patches. I
tried the command with mdadm 4.0 which can build successfully and the commands can run successfully. 

[root@dell-pem710-02 mdadm]# mdadm -CR boot -l1 -n2 /dev/loop0 /dev/loop1 
mdadm: /dev/loop0 appears to be part of a raid array:
       level=raid1 devices=2 ctime=Mon Mar 20 06:10:53 2017
mdadm: Note: this array has metadata at the start and
    may not be suitable as a boot device.  If you plan to
    store '/boot' on this device please ensure that
    your boot-loader understands md/v1.x metadata, or use
    --metadata=0.90
mdadm: /dev/loop1 appears to be part of a raid array:
       level=raid1 devices=2 ctime=Mon Mar 20 06:10:53 2017
mdadm: Defaulting to version 1.2 metadata

[root@dell-pem710-02 mdadm]# mdadm -CR root -l1 -n2 /dev/loop0 /dev/loop1 
mdadm: /dev/loop0 appears to be part of a raid array:
       level=raid1 devices=2 ctime=Mon Mar 20 06:11:14 2017
mdadm: Note: this array has metadata at the start and
    may not be suitable as a boot device.  If you plan to
    store '/boot' on this device please ensure that
    your boot-loader understands md/v1.x metadata, or use
    --metadata=0.90
mdadm: /dev/loop1 appears to be part of a raid array:
       level=raid1 devices=2 ctime=Mon Mar 20 06:11:14 2017
mdadm: Defaulting to version 1.2 metadata
mdadm: array /dev/md/root started.

You can wait for sometime to fix bug https://bugzilla.redhat.com/show_bug.cgi?id=1423932. 

Thanks
Xiao

Comment 2 Richard W.M. Jones 2017-03-20 10:19:30 UTC
OK that's no problem, as long as it's on the radar there's no hurry.

Comment 3 Jan Kurik 2017-08-15 07:55:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Ben Cotton 2018-11-27 18:34:31 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 17:45:30 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.